#!/usr/bin/env python

import pymodbus
from atexit import register
from pymodbus.pdu import ModbusRequest
from pymodbus.client.sync import ModbusSerialClient as ModbusClient
from pymodbus.transaction import ModbusRtuFramer
import time
import datetime

port = '/dev/ttyUSB0'
baudrate = 9600
client = ModbusClient(
  method = 'rtu'
   ,port=port
  ,baudrate=baudrate
  ,parity = 'N'
  ,timeout=20
  )

client.debug_enabled()
xwert =7000

connection = client.connect()
print(connection)
if connection:
   print("connect = true")
 
time.sleep(1)  
while True:
    print("vor dem lesen")
    result  = client.read_holding_registers(2, 5, unit=1)  # start_address, count, slave_id
    if result:
       print(" read hold register  #2-7: ")
       print(result.registers)
       
    time.sleep(1) 
    print("vor dem schreiben")
    print(xwert)
   
    write  = client.write_register(3, xwert, unit=1)   # address= 1, value to set=425, slave ID=1 
    print("---------------------------------------------------")

    # sleep 2s before next polling
    xwert = xwert+2
    time.sleep(1) 
 
client.close()  
 
